%define apache_conf  %_sysconfdir/httpd/conf
%define httpd_confdir %_sysconfdir/httpd/conf/addon-modules
%define htmldir       %_var/www/html
%define sgmldir       %_datadir/sgml

Summary: W3C MarkUp Validator
Name: w3c-validator
Version: 0.6.1
Release: alt5
Url: http://validator.w3.org/
License: http://www.w3.org/Consortium/Legal/copyright-software
Source0: http://validator.w3.org/validator-0_6_1.tar.gz
Source1: http://validator.w3.org/sgml-lib-0_6_1.tar.gz
Patch01: validator-T.patch
#Patch02:	w3c-validator_0.6.1-deb.patch
Group: Networking/WWW
Packager: Gleb Stiblo <ulfr@altlinux.ru>
BuildRequires: perl, perl-CGI, perl-HTML-Parser, perl-libwww-perl, perl-Set-IntSpan, perl-Text-Iconv, perl-URI, 
Requires: apache, OpenSP, %name-libs >= 0.6.0-1w3c
BuildArch: noarch
%set_perl_req_method relaxed

%description
The W3C MarkUp Validator checks documents like HTML and XHTML for
conformance to W3C Recommendations and other standards.

%package libs
Summary: SGML and XML DTDs for the W3C MarkUp Validator
Group: Networking/WWW

%description libs
SGML and XML DTDs for the W3C MarkUp Validator.

%prep
%setup -q -a 1 -n validator
#patch02 -p1

# Localize config files
%__perl -pi -e 's|^(DEBUG\s+)1|${1}0| ;\
             s|\bwww-validator\@w3\.org\b|root\@localhost| ;\
             s|/validator\.w3\.org/|/localhost/%name/| ;\
             s|/usr/local/validator/htdocs/config/|%_sysconfdir/w3c/| ;\
             s|/usr/local/validator/htdocs/|%htmldir/%name/| ;\
             s|^(SGML\s+Library\s+).*|${1}%sgmldir/%name|' \
	     htdocs/config/check.cfg
%__perl -pi -e 's|/var/www/html/|%htmldir/|' httpd/conf/httpd.conf

# Cleanup of unused files
%__rm -f httpd/cgi-bin/[Lprt]*
rename .pl '' httpd/cgi-bin/checklink.pl
%__rm -rf htdocs/p3p.html htdocs/source

# Fixup permissions
find . -type d -exec chmod 0755 {} ';'
find . -type f -exec chmod 0644 {} ';'
%__chmod 0755 httpd/cgi-bin/*

%patch01 -p1

%build
%install
#rm -rf %buildroot
%__mkdir_p %buildroot{%htmldir/%name,%httpd_confdir,%_bindir}

# Scripts
%__cp -p httpd/cgi-bin/* %buildroot%htmldir/%name
%__ln_s %htmldir/%name/checklink %buildroot/%_bindir

# Config files
%__mkdir_p %buildroot%_sysconfdir/w3c
%__mv htdocs/config/check.cfg htdocs/config/validator.conf
%__cp -p htdocs/config/* %buildroot%_sysconfdir/w3c
%__cp -p httpd/conf/httpd.conf %buildroot%httpd_confdir/%name.conf

# HTML and stuff
%__rm -rf htdocs/config
%__cp -a htdocs/* %buildroot%htmldir/%name

# SGML library
%__mkdir_p %buildroot%sgmldir
%__cp -pr sgml-lib %buildroot%sgmldir/%name

%post
if [ $1 = "1" ]; then
	grep -q "^Include conf/addon-modules/%name.conf$" %apache_conf/httpd.conf || echo "Include conf/addon-modules/%name.conf" >> %apache_conf/httpd.conf
	/sbin/service httpd condrestart ||:
fi

%postun
if [ $1 = "0" ]; then
	[ -f %apache_conf/httpd.conf ] && \
		%__subst "s/^Include conf\/addon-modules\/%name.conf$//g" %apache_conf/httpd.conf
	/sbin/service httpd condrestart ||:
fi

%triggerpostun -- w3c-validator = 0.6.1-alt1
	echo "Include conf/addon-modules/%name.conf" >> %apache_conf/httpd.conf
	/sbin/service httpd condrestart ||:

%files
%config(noreplace) %httpd_confdir/*
%config(noreplace) %_sysconfdir/w3c/*
%htmldir/%name
%_bindir/*

%files libs
%sgmldir/%name

%changelog
* Fri Jun 11 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt5
- OpenSP added in requires

* Wed May 12 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt4
- spec cleanup
- checking for include line in httpd.conf added

* Mon May 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt3
- glibc 2.3 build

* Tue Apr 27 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt2
- post/postun scripts changed

* Tue Mar 23 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt1
- ALT adaptation.
- -T removed from check

* Sun Dec  1 2002 Ville Skytt <ville.skytta at iki.fi> - 0.6.1-1w3c
- Update to 0.6.1.

* Fri Nov 29 2002 Ville Skytt <ville.skytta at iki.fi> - 0.6.0-1w3c
- First release.

